"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FixedLink = exports.Link = exports.Notification = exports.Error = exports.ProgressText = exports.Quantity = exports.P = exports.CopyrightText = exports.SubText = exports.Text = exports.H6 = exports.H5 = exports.H4 = exports.H3 = exports.H2 = exports.H1 = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const util_1 = require("../../utils/util");
exports.H1 = styled_components_1.default.h1 `
  ${(props) => (0, util_1.baseConfig)(props)}
  width: 100%;
  font-size: ${(props) => props?.theme?.h1?.font?.size || '18px'};
  font-weight: ${(props) => props?.theme?.h1?.font?.weight || 'bold'};
  margin: 10px;
  color: ${(props) => props.theme.primary};
`;
exports.H2 = styled_components_1.default.h2 `
  ${(props) => (0, util_1.baseConfig)(props)}
  width: 100%;
  font-size: ${(props) => props?.theme?.h2?.font?.size || '16px'};
  font-weight: ${(props) => props?.theme?.h2?.font?.weight || 'bold'};
  color: ${(props) => props.theme.primary};

  text-align: justify;
`;
exports.H3 = styled_components_1.default.h3 `
  ${(props) => (0, util_1.baseConfig)(props)}
  width: 100%;
  font-size: ${(props) => props?.theme?.h3?.font?.size || '14px'};
  font-weight: ${(props) => props?.theme?.h3?.font?.weight || 'bold'};
  color: ${(props) => props.theme.primary};

  text-align: justify;
`;
exports.H4 = styled_components_1.default.h4 `
  ${(props) => (0, util_1.baseConfig)(props)}
  width: 100%;
  font-size: ${(props) => props?.theme?.h4?.font?.size || '12px'};
  font-weight: ${(props) => props?.theme?.h4?.font?.weight || 'bold'};
  color: ${(props) => props.theme.primary};

  text-align: justify;
`;
exports.H5 = styled_components_1.default.h5 `
  ${(props) => (0, util_1.baseConfig)(props)}
  width: 100%;
  font-size: ${(props) => props?.theme?.h5?.font?.size || '10px'};
  font-weight: ${(props) => props?.theme?.h5?.font?.weight || 'bold'};
  color: ${(props) => props.theme.primary};

  text-align: justify;
`;
exports.H6 = styled_components_1.default.h6 `
  ${(props) => (0, util_1.baseConfig)(props)}
  width: 100%;
  font-size: ${(props) => props?.theme?.h6?.font?.size || '8px'};
  font-weight: ${(props) => props?.theme?.h6?.font?.weight || 'bold'};
  color: ${(props) => props.theme.primary};

  text-align: justify;
`;
exports.Text = styled_components_1.default.div `
  ${(props) => (0, util_1.baseConfig)(props)}
  max-width: 256px;
  margin: 8px 0;
  line-height: 150%;
  color: ${(props) => props.theme.primary};
`;
exports.SubText = styled_components_1.default.span `
  ${(props) => (0, util_1.baseConfig)(props)}
  font-size: ${(props) => props?.theme?.subText?.font?.size || '10px'};
  font-weight: ${(props) => props?.theme?.subText?.font?.weight || 'bold'};
  max-width: 256px;
  margin: 8px 0;
  line-height: 150%;
  color: ${(props) => props.theme.primary};
`;
exports.CopyrightText = styled_components_1.default.span `
  ${(props) => (0, util_1.baseConfig)(props)}
  font-size: ${(props) => props?.theme?.copyrightText?.font?.size || '10px'};
  font-weight: ${(props) => props?.theme?.copyrightText?.font?.weight || 'bold'};
  color: ${(props) => props.theme.primary};
`;
exports.P = styled_components_1.default.p `
  ${(props) => (0, util_1.baseConfig)(props)}
  text-indent: 3ch;
  margin-bottom: 1em;
  line-height: 150%;
`;
exports.Quantity = styled_components_1.default.div `
  ${(props) => (0, util_1.baseConfig)(props)}
  display: block;
  width: 25px;
  height: 25px;
  font-size: ${(props) => props?.theme?.quantity?.font?.size || '10px'};
  font-weight: ${(props) => props?.theme?.quantity?.font?.weight || 'bold'};
  color: ${(props) => props.theme.background};
  background-color: ${(props) => props.theme.primary};
  text-align: center;
  position: absolute;
  border-radius: 100%;
  text-align: center;
  left: 20px;
  margin-top: -10px;
  padding-top: 7px;
`;
exports.ProgressText = styled_components_1.default.div `
  ${(props) => (0, util_1.baseConfig)(props)}
  display: block;
  mix-blend-mode: difference;
  color: white;
  text-align: center;
  position: absolute;
  border-radius: 100%;
  text-align: center;
  font-size: ${(props) => props?.theme?.progressText?.font?.size || '10px'};
  font-weight: ${(props) => props?.theme?.progressText?.font?.weight || 'bold'};

  left:0;
  right:0;

  margin-left: auto;
  margin-right: auto;
  top: 50%;
  bottom: 50%;
`;
exports.Error = styled_components_1.default.span `
  ${(props) => (0, util_1.baseConfig)(props)}
  font-size: ${(props) => props?.theme?.error?.font?.size || '14px'};
  font-weight: ${(props) => props?.theme?.error?.font?.weight || 'bold'};
  color: ${(props) => props.theme.error};
  max-width: 202px;
`;
exports.Notification = styled_components_1.default.span `
  ${(props) => (0, util_1.baseConfig)(props)}
  font-size: ${(props) => props?.theme?.notification?.font?.size || '14px'};
  font-weight: ${(props) => props?.theme?.notification?.font?.weight || 'bold'};
  color: ${(props) => props.theme.primary};
  max-width: 202px;
`;
exports.Link = styled_components_1.default.a `
  ${(props) => (0, util_1.baseConfig)(props)}
  text-decoration: none;
  color: ${(props) => props.theme.text};
  padding: ${(props) => (props.icon ? '15px' : '0')};
  margin: ${(props) => (props.icon ? '10px' : '0')};
  cursor: pointer;
  border-radius: 6px;
  transition: all ${(props) => props?.theme?.transition?.link?.duration || 0.15}s;

  &:hover {
    color: ${(props) => (props.icon ? props.theme.primary : props.theme.text)};
  }

  &:first-child {
    padding-left: 0;
    margin-left: 0;
  }

  &:last-child {
    padding-right: 0;
    margin-right: 0;
  }

  @media screen and (max-width: 380px) {
    &:first-child {
      padding: ${(props) => (props.icon ? '15px' : '0')};
      margin: ${(props) => (props.icon ? '10px' : '15px 0')};
    }

    &:last-child {
      padding: ${(props) => (props.icon ? '15px' : '0')};
      margin: ${(props) => (props.icon ? '10px' : '15px 0')};
    }
  }

  &:visited {
    color: ${(props) => props.theme.text};
  }
`;
exports.FixedLink = styled_components_1.default.div `
  ${(props) => (0, util_1.baseConfig)(props)}
  color: ${(props) => props.theme.primary};
  margin: 0 20px;
  position: relative;
  cursor: pointer;
  transition: all ${(props) => props?.theme?.transition?.fixedLink?.duration || 0.15}s ease-in-out;

  &:before {
    content: '';
    position: absolute;
    height: 2px;
    bottom: -3px;
    left: 0;
    // visibility: hidden;
    width: 0;
  }

  &:hover {
    &:before {
      background-color: ${(props) => props.theme.primary};
      visibility: visible;
      width: 100%;
    }
  }

  &:visited {
    color: ${(props) => props.theme.text};
  }
`;
//# sourceMappingURL=index.js.map